mkgeo_contraction Namespace Reference

## Variables

string | nx = ""
int | nx_default = 1
int | c = 4
int | Lu = 20
int | Ld = 20
float | hmin = 0.1
| split = false
| clean = true
| verbose = false
string | name = "contraction"
string | usage = "usage: mkgeo_contraction [nx=$nx_default [ny=nx]] [-c float=$c] [-Lu float=$Lu] [-Ld float=$Ld] [-rz|-zr] [-hmin float=$hmin] [-name string=$name] [-[no]split] [-[no]clean] [-[no]verbose]"
string | pkgbindir = "`rheolef-config --pkglibdir`"
| ny
| sys_coord_opt
| to_clean
| h
| h0
| hd
| hu
| hux
| huy
| hdx
| hdy
| m0
| md
| mu
| mux
| muy
| mdx
| mdy
| c2
| command
| status
| filter

## Variable Documentation

## nx

nx = ""

Definition at line 124 of file mkgeo_contraction.sh.

## nx_default

int nx_default = 1

Definition at line 125 of file mkgeo_contraction.sh.

## c

c = 4

Definition at line 126 of file mkgeo_contraction.sh.

## Lu

Lu = 20

Definition at line 127 of file mkgeo_contraction.sh.

## Ld

Ld = 20

Definition at line 128 of file mkgeo_contraction.sh.

## hmin

hmin = 0.1

Definition at line 129 of file mkgeo_contraction.sh.

## split

split = false

Definition at line 130 of file mkgeo_contraction.sh.

## clean

clean = true

Definition at line 131 of file mkgeo_contraction.sh.

## verbose

verbose = false

Definition at line 132 of file mkgeo_contraction.sh.

## name

name = "contraction"

Examples
  navier_stokes_dg1.icc.

Definition at line 133 of file mkgeo_contraction.sh.

## usage

string usage = "usage: mkgeo_contraction [nx=$nx_default [ny=nx]] [-c float=$c] [-Lu float=$Lu] [-Ld float=$Ld] [-rz|-zr] [-hmin float=$hmin] [-name string=$name] [-[no]split] [-[no]clean] [-[no]verbose]"

Definition at line 134 of file mkgeo_contraction.sh.

## pkgbindir

string pkgbindir = "`rheolef-config --pkglibdir`"

Definition at line 146 of file mkgeo_contraction.sh.

## ny

ny

Definition at line 150 of file mkgeo_contraction.sh.

## sys_coord_opt

sys_coord_opt

Definition at line 154 of file mkgeo_contraction.sh.

## to_clean

to_clean

Definition at line 175 of file mkgeo_contraction.sh.

## h

h

Definition at line 179 of file mkgeo_contraction.sh.

## h0

h0

Definition at line 180 of file mkgeo_contraction.sh.

## hd

hd

Definition at line 181 of file mkgeo_contraction.sh.

## hu

hu

Definition at line 182 of file mkgeo_contraction.sh.

## hux

hux

Definition at line 183 of file mkgeo_contraction.sh.

## huy

huy

Definition at line 184 of file mkgeo_contraction.sh.

## hdx

hdx

Definition at line 185 of file mkgeo_contraction.sh.

## hdy

hdy

Definition at line 186 of file mkgeo_contraction.sh.

## m0

m0

Examples
  zalesak_dg_error.cc.

Definition at line 191 of file mkgeo_contraction.sh.

## md

md

Definition at line 192 of file mkgeo_contraction.sh.

## mu

mu

Examples
  commute_rtd.cc, convect_hdg.cc, cosinusprod_error_hdg.cc, dirichlet_hdg.cc, dirichlet_hdg_average.icc, dirichlet_hho.cc, navier_stokes_dg1.icc, oldroyd_theta_scheme1.h, reconstruction_hho.cc, sinusprod_error_hdg.cc, yield_slip1.icc, yield_slip_augmented_lagrangian.icc, and yield_slip_residue.cc.

Definition at line 193 of file mkgeo_contraction.sh.

## mux

mux

Definition at line 194 of file mkgeo_contraction.sh.

## muy

muy

Definition at line 195 of file mkgeo_contraction.sh.

## mdx

mdx

Definition at line 196 of file mkgeo_contraction.sh.

## mdy

mdy

Definition at line 197 of file mkgeo_contraction.sh.

## c2

c2

Examples
  convect.cc, oldroyd_theta_scheme1.h, and oldroyd_theta_scheme3.h.

Definition at line 199 of file mkgeo_contraction.sh.

## command

command

Definition at line 281 of file mkgeo_contraction.sh.

## status

status

Examples
  harten0.h, mosolov_augmented_lagrangian.cc, navier_stokes_taylor_newton_dg.cc, p_laplacian_damped_newton.cc, p_laplacian_newton.cc, yield_slip_augmented_lagrangian.cc, and yield_slip_damped_newton.cc.

Definition at line 290 of file mkgeo_contraction.sh.

## filter

filter

Definition at line 299 of file mkgeo_contraction.sh.